@viewport {
	user-zoom: fixed;
}
@font-face {
	font-family: "Open Sans";
	font-style: normal;
	font-weight: normal;
	src: local("Open Sans"), url("/assets/fonts/open_sans_400.woff2") format("woff2"), url("/assets/fonts/open_sans_400.woff") format("woff");
}
html {
	background-image: url("/assets/images/background.png");
}
html, body {
	margin: 0;
	height: 100%;
	color: #333;
	overflow: hidden;
	font-family: "Open Sans", Tahoma, sans-serif;
}
html, body, button, label, #gui-chat-player-list, table thead, #key-settings, .weapon-select {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
#menu-box, #settings-box, #info-box, #dialog-box {
	overflow-x: hidden;
	overflow-y: auto;
	-webkit-user-select: text;
	-moz-user-select: text;
	-ms-user-select: text;
	user-select: text;
}
#gui-stamina, #gui-health, #gui-chat, #gui-points, #gui-controls, #gui-warmup {
	pointer-events: none;
}
#gui-controls li img {
	pointer-events: auto;
}
#gui-bad-connection.hidden, #gui-warmup.hidden, #gui-chat-player-list.hidden, #team-list.hidden, #shade-box.hidden, #loading.hidden {
	display: none;
}
.fa {
	margin-right: 2px;
}
a {
	color: #3F51B5;
}
a.dark {
	color: #7986CB;
}
h1, h2, h3 {
	margin-top: 0;
}
button {
	outline-color: #283593;
	box-sizing: border-box;
	cursor: pointer;
	margin: .25rem;
	padding: .5rem;
	min-width: 100px;
	text-transform: uppercase;
	font-size: .75rem;
	color: #ebedf4;
	background: #3F51B5;
	font-weight: normal;
	border: 2px solid #3F51B5;
	text-align: center;
	transition: background .2s, color .2s;
}
button.light {
	background: #7986CB;
	border: 2px solid #7986CB;	
}
button.light:hover {
	color: #7986CB;
}
button:disabled {
	background: #555;
	cursor: not-allowed;
	border-color: #555;
}
button:hover, button:active {
	background: #ebedf4;
	color: #3F51B5;
}
button:disabled:hover, button:disabled:active {
	background: #ebedf4;
	color: #555;
}


.flex-container {
	display: flex;
	justify-content: space-around;
}
input[type=text] {
	outline: none;
	border: 1px solid #888;
	padding: 0.5em;
	width: 15rem;
}
input[type=range] {
	-webkit-appearance: none;
	-moz-appearance: none;
	width: 15rem;
	outline: none;
	background: transparent;
	height: 20px;
	margin-bottom: 15px;
}
input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	height: 18px;
	width: 18px;
	border-radius: 50%;
	border: 2px solid #3F51B5;
	background: white;
	margin-top: -7px;
}
input[type=range]::-moz-range-thumb {
	height: 18px;
	width: 18px;
	border-radius: 50%;
	border: 2px solid #3F51B5;
	background: white;
	margin-top: -7px;
}
input[type=range]::-ms-thumb {
	height: 18px;
	width: 18px;
	border-radius: 50%;
	border: 2px solid #3F51B5;
	background: white;
	margin-top: -7px;
}
input[type=range]::-webkit-slider-runnable-track {
	width: 100%;
	height: 2.4px;
	background: #ccc;
}
input[type=range]::-moz-range-track {
	width: 100%;
	height: 2.4px;
	background: #ccc;
}
input[type=range]::-ms-track {
	width: 100%;
	height: 2.4px;
	cursor: pointer;
	background: #ccc;
	border-color: transparent;
	color: transparent;
}
input[type=range]:active {
	cursor: -webkit-grabbing;
	cursor: grabbing;
}
input[type=checkbox] {
	position: relative;
}
input[type=checkbox]::before {
	content: " ";
	height: 14px;
	width: 14px;
	display: block;
	border-radius: 50%;
	border: 2px solid #3F51B5;
	background: white;
	position: absolute;
	top: 6px;
	left: 6px;
	transform: translate(-50%, -50%);
	cursor: pointer;
}
input[type=checkbox]::after {
	content: " ";
	transition: transform .15s .1s, opacity .2s;
	opacity: 0;
	display: block;
	width: 10px;
	height: 10px;
	background: #3F51B5;
	border-radius: 50%;
	position: absolute;
	top: 6px;
	left: 6px;
	transform: translate(-50%, -50%) scale(0);
}
input[type=checkbox]:checked::after {
	transform: translate(-50%, -50%) scale(1);
	opacity: 1;
}
label.checkbox-label {
	display: block;
	margin: 8px 2px;
	cursor: pointer;
}
label {
	min-width: 150px;
	margin: 0 8px 8px 0;
	display: inline-block;
}
::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}
::-webkit-scrollbar-track {
	box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
	border-radius: 4px;
	margin: 4px 0;
}
::-webkit-scrollbar-thumb {
	border-radius: 4px;
	background: #555;
}
#menu-box {
	position: fixed;
	top: 0;
	left: 0;
	background: #ebedf4;
	width: 100vw;
	height: 100vh;
	overflow: hidden;
	display: flex;
	flex-direction: column;
}
#menu-box.hidden {
	display: none;
}
.box-container {
	flex-grow: 1;
	overflow-y: auto;
	padding: 1rem;	
}
.box-title {
	background: #3F51B5;
	color: #ebedf4;
	padding: 0.5rem 1.5rem;	
	display: flex;
	flex-direction: row;
	align-items: center;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.4);
}
.box-title-caption {
	flex-grow: 1;
	font-size: 2rem;	
}
.sidebox .box-title-caption {
	font-size: 1.75rem;
}
.container {
	margin: 0 auto;
	max-width: 1024px;
}
.lobby-search-tools input {
	width: 20rem;
}
.lobby-search-tools a {
	float: right;
}
.lobby-table {
	width: 100%;
	border-collapse: collapse;
	table-layout: fixed;
	vertical-align: top;
}
.lobby-table th {
	color: #000;
	padding: 0.5em 1em;
	text-transform: uppercase;
}
.lobby-table th:first-child {
	width: 55%;
	text-align: left;
}
.lobby-table th:last-child {
	width: 7em;
}
.lobby-table th img {
	width: 1em;
	height: 1em;
}

#lobby-list tr.hidden {
	display: none;
}
#lobby-list tr:nth-child(even) {
	background-color: rgba(0, 0, 0, .1);
}
#lobby-list td:first-child {
	text-align: left;
	padding-left: 2.5em;
}
#lobby-list td {
	text-align: center;
	word-wrap: break-word;
}
#lobby-list td u {
	color: #C2185B;
	font-weight: 600;
}
#lobby-list:empty::before {
	content: "No servers found :(";
	padding: 1em 0 1em 2em;
	font-style: italic;
	display: block;
	color: #777;
}

.sidebox {
	position: fixed;
	top: 0;
	left: 0;
	width: 60vw;
	min-width: 320px;
	max-width: 640px;
	box-shadow: 0 3px 6px rgba(0, 0, 0, 0.5);
	background: #ebedf4;
	color: #333;
	transform: translateX(0);
	transition: transform .3s;
	height: 100vh;
	display: flex;
	flex-direction: column;
}
.sidebox.hidden {
	transform: translateX(-100%);
}
.close-button {
	cursor: pointer;
}
.close-button:hover,
.close-button:active {
	color: #9FA8DA;
}
#settings-box label {
	min-width: 12rem;
	margin: 0 8px 8px 0;
	display: inline-block;
}

.weaponry-container {
	display: flex;
	justify-content: space-around;
	flex-wrap: wrap;
	margin: 1rem 0;
}
.weapon-select {
	position: relative;
	border-radius: 5px;
	padding: 5px;
	display: inline-block;
	flex-shrink: 1;
	width: 13em;
	margin: 2px;
}
.weapon-select:active, .weapon-select:hover {
	background: rgba(0, 0, 0, .25);
}
.weapon-select span {
	display: block;
	font-weight: 600;
	width: 100%;
	text-align: center;
}
.weapon-select img {
	max-height: 3.125em;
	width: 100%;
	position: relative;
	left: 50%;
	transform: translateX(-50%);
}
#key-settings {
	box-sizing: border-box;
	width: 100%;
	text-align: left;
	border-collapse: collapse;
	border: .5em solid rgba(0, 0, 0, 0);
	margin-top: .75em;
}
#key-settings td {
	padding: 3px;
}
#key-settings tbody tr {
	transition: background .2s, color .2s;
}
#key-settings tbody:not(.highlight-disabled) tr:hover {
	background: #3F51B5;
	color: #ddd;
}
#key-settings tbody td {
	cursor: pointer;
	outline: 2px dashed rgba(0, 0, 0, 0);
}
#key-settings tbody td.selected {
	outline-color: #3F51B5;
}
#key-info {
	background: #3F51B5;
	padding: 0.5em;
	margin-top: 1em;
	font-weight: bold;
	border-radius: 4px;
	color: white;
	transform: scale(1);
	opacity: 1;
	transition: opacity .3s, transform .2s .1s;
}
#key-info.hidden {
	opacity: 0;
	transform: scale(2);
	display: none;
}
#key-info::before {
	content: "\f071";
	display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
	margin-right: 7px;
}



/* On-screen controls */
#gui-controls {
	position: fixed;
	bottom: 0;
	padding: 0;
	margin: 0 1vw 1vw;
	width: 98vw;
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
}
#gui-controls li {
	list-style-type: none;
}
#gui-controls li img {
	width: 80px;
	height: 80px;
	opacity: .3;
	transition: opacity .15s;
}
#gui-chat-input-container {
	position: fixed;
	bottom: 20px;
	left: 50%;
	max-width: 1000px;
	width: calc(100vw - 420px);
}
#gui-chat-input {
	width: 100%;
	box-sizing: border-box;
	padding: 5px;
	font-size: 1.375em;
	background: none;
	border: none;
	border-bottom: solid 2px #c9c9c9;
	color: #c9c9c9;
	outline: none;
	font-family: inherit;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
}
#gui-chat-input:focus {
	background: rgba(0, 0, 0, .3);
}
#gui-chat-player-list {
	cursor: inherit;
	font-size: .9em;
	background: rgba(235, 237, 244, .2);
	border-radius: 4px;
	list-style-type: none;
	position: relative;
	padding: 22px 8px 8px;
	display: flex;
	flex-wrap: wrap;
}
#gui-chat-player-list::before {
	position: absolute;
	top: 5px;
	content: attr(data-desc);
	margin-right: 5px;
	color: rgba(255, 255, 255, .2);
	font-size: .8em;
	text-transform: uppercase;
}
#gui-chat-player-list::after {/* CSS arrow trick */
	content: " ";
	position: absolute;
	display: block;
	border-left: 8px solid transparent;
	border-right: 8px solid transparent;
	border-top: 8px solid rgba(235, 237, 244, .2);
	bottom: -8px;
	left: 19px;
}
#gui-chat-player-list li {
	min-width: 100px;
	cursor: default;
	flex-grow: 0;
	overflow: hidden;
	padding: 0 4px;
}
#gui-minimap-canvas {
	position: fixed;
	top: 52px;
	right: 8px;
	border-radius: 3px;
	border: 2px solid white;
}

#shade-box {
	position: fixed;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, .5);
}
#loading {
	width: 100vw;
	height: 100vh;
	font-family: "Open Sans";
	text-align: center;
	position: fixed;
	top: 0;
	left: 0;
	background-color: #121012;
	color: #eee;
}
#loading progress {
	width: 100%;
}
#loading h1 {
	font-size: 60px; /* TODO: use rems */
}
#loading h2 {
	font-size: 28px; /* TODO: use rems */
}

#autoconnect-box {
	position: fixed;
	top: 0;
	left: 50%;
	width: 17rem;
	padding: 1rem;
	background: #ebedf4;
	text-align: center;
	transform: translateY(0);
	transition: transform .3s;
}
#autoconnect-box.hidden {
	transform: translateY(-100%);
}

#notif-box {
	background: black;
	color: white;
	box-shadow: 0 0 3px rgba(0, 0, 0, .7);
	padding: 14px;
	min-width: 120px;
	width: 30vw;
	max-width: 200px;
	position: fixed;
	top: 47px;
	right: 0;
	font-size: .875em;
	transform: translateX(0);
	transition: transform .5s;
}
#notif-box.hidden {
	transform: translateX(110%);
}
#notif-box::before {
	display: block;
	content: attr(data-title);
	font-size: 1.3em;
	margin-right: 50px;
	color: #FFCA28;
}
#notif-box::after {
	content: attr(data-desc);
}


#dialog-box {
	position: fixed;
	top: 50%;
	left: 50%;	
	background: #ebedf4;
	padding: 1rem;
	color: #333;
	max-width: 500px;
	opacity: 1;
	transform-origin: 50% 50%;
	transform: scale(1);
	transition: transform .3s, opacity .3s;
}
#dialog-box.hidden {
	transform: scale(0);
	opacity: 0;
}

#player-table {
	position: fixed;
	top: 50%;
	left: 50%;
	max-width: 800px;
	max-height: 480px;
	width: 60vw;
	height: 40vh;
	border-radius: 7px;
	background: rgba(0, 0, 0, 0.7);
	color: #fff;
	padding: 1rem;
}
#player-table.hidden {
	transform: scale(0);
}
#player-list {
	box-sizing: content-box;
	list-style-type: none;
	padding: 0;
}
#player-list li:first-child {
	border-top: 1px solid #bfbfbf;
}
#player-list li {
	padding: .5em 0 .5em 1em;
	border-bottom: 1px solid #bfbfbf;
}


#gui-chat-first {
	height: 1px;
}
#gui-chat {
	overflow: hidden;
	position: fixed;
	top: 95px;
	left: 18px;
	font-size: .875em;
	width: 300px;
	height: calc(100vh - 4vh - 270px); /* div ends 15px above controls */
	text-shadow: 1px 1px 4px rgba(0, 0, 0, .5);
}
#gui-chat p {
	margin: 2px 0;
	display: block;
	color: #eee;
	word-wrap: break-word;
}
#gui-chat p.server{	color: #fff37f; }
#gui-chat p b.alienBeige{ color: #e5d9be; }
#gui-chat p b.alienBlue{ color: #a2c2ea; }
#gui-chat p b.alienGreen{ color: #8aceb9; }
#gui-chat p b.alienPink{ color: #f19cb7; }
#gui-chat p b.alienYellow{ color: #fed532; }
#gui-stamina {
	position: fixed;
	top: 50px;
	left: 8px;
	height: 10px;
	width: 200px;
	background: transparent;
}
#gui-stamina::-webkit-meter-bar {
	background: transparent;
	-webkit-appearance: none;
	display: inline-block;
	position: relative; /* shitty hack */
	bottom: 20px;
	left: 77px;
}
#gui-stamina::-moz-meter-bar {
	background: #5493ce;
}
#gui-stamina::-webkit-meter-optimum-value, #gui-stamina::-webkit-meter-suboptimum-value, #gui-stamina::-webkit-meter-even-less-good-value {
	background: #5493ce;
}
#gui-stamina::before {
	content: "Fuel:";
	color: white;
	width: 77px;
	display: inline-block;
}
#gui-health {
	height: 1.41em;
	position: fixed;
	top: 20px;
	left: 8px;
	color: #eee;
}
#gui-health::before {
	content: "Health:";
	width: 77px;
	display: inline-block;
	position: relative;
	top: -5px;
	right: 0;
}
#gui-health div {
	background-size: 100% 100%;
	display: inline-block;
	width: 1.625em;
	height: 1.41em;
}
#gui-health div.heartFilled { background-image: url("/assets/images/heartFilled.svg"); }
#gui-health div.heartHalfFilled { background-image: url("/assets/images/heartHalfFilled.svg"); }
#gui-health div.heartNotFilled { background-image: url("/assets/images/heartNotFilled.svg"); }


#gui-bad-connection, #gui-warmup {
	padding: 0.25em 0.5em;
	border-radius: 5px;
	background: rgba(0, 0, 0, 0.7);
	position: fixed;
	left: 50%;
	color: #eee;
	font-size: 1.2rem;
}
#gui-warmup {
	font-size: 2rem;
	bottom: 15%;
}
#gui-bad-connection h1 {
	margin: 0;
	padding-bottom: 0.1em;
	font-size: 2.5rem;
}
#gui-bad-connection i {
	color: #bc4937;
	margin-right: 0.25em;
}

#gui-points {
	position: fixed;
	top: 4px;
	left: 50%;
	color: #eee;
	font-size: 1.75em;
	background: rgba(0, 0, 0, .7);
	min-height: none;
}
#gui-points div {
	display: inline-block;
	width: 4em;
	font-weight: bold;
	padding: .1em 0;
	text-align: center;
}
#gui-points-alienBeige { color: #e5d9be; }
#gui-points-alienBlue { color: #a2c2ea; }
#gui-points-alienGreen { color: #8aceb9; }
#gui-points-alienPink { color: #f19cb7; }
#gui-points-alienYellow { color: #fed532; }

#gui-options {
	position: fixed;
	top: 0;
	right: 8px;
}
#gui-options button {
	margin: 6px 2px;
}


